Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/__init__.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/__init__.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/__init__.py	(revision 3163)
@@ -1,3 +1,2 @@
-import sys
 from AccessControl import allow_module
 
@@ -10,5 +9,4 @@
 from Products.Archetypes import atapi
 from Products.CMFCore.utils import ContentInit
-from Products.CMFCore.permissions import setDefaultRoles
 
 # Define a message factory for when this product is internationalised.
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 3163)
@@ -1,3 +1,2 @@
-from string import find
 from zope.interface import implements, Interface, Attribute
 from zope.component import queryMultiAdapter
@@ -7,6 +6,6 @@
 from Products.CMFCore.utils import getToolByName
 
-from quintagroup.plonegooglesitemaps \
-    import qPloneGoogleSitemapsMessageFactory as _
+#from quintagroup.plonegooglesitemaps \
+#    import qPloneGoogleSitemapsMessageFactory as _
 from quintagroup.plonegooglesitemaps.interfaces import IBlackoutFilter
 from quintagroup.plonegooglesitemaps.browser.utils import additionalURLs, \
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/configletview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3163)
@@ -5,9 +5,4 @@
 from OFS.ObjectManager import BadRequestException
 from Products.Five import BrowserView
-from Products.CMFCore.utils import getToolByName
-
-from quintagroup.plonegooglesitemaps.interfaces import ISitemap
-from quintagroup.plonegooglesitemaps \
-    import qPloneGoogleSitemapsMessageFactory as _
 
 
@@ -137,5 +132,5 @@
         view = ob and ob.defaultView() or None
         if view:
-            resp = self.request.RESPONSE
+            self.request.RESPONSE
             bview = queryMultiAdapter((ob, self.request), name=view)
             if bview:
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/mobilesitemapview.py	(revision 3163)
@@ -1,4 +1,5 @@
 from DateTime import DateTime
-from quintagroup.plonegooglesitemaps.browser.commonview import *
+from quintagroup.plonegooglesitemaps.browser.commonview \
+    import CommonSitemapView, implements, ISitemapView
 
 MOBILE_INTERFACES = ['quintagroup.mobileextender.interfaces.IMobile', ]
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/newssitemapview.py	(revision 3163)
@@ -3,5 +3,6 @@
 from zope.component import getMultiAdapter
 from plone.memoize.view import memoize
-from quintagroup.plonegooglesitemaps.browser.commonview import *
+from quintagroup.plonegooglesitemaps.browser.commonview \
+    import CommonSitemapView, implements, ISitemapView
 
 reTrailingParenthtical = re.compile("\s*\(.*\)\s*", re.S)
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/sitemapview.py	(revision 3163)
@@ -1,4 +1,5 @@
 from DateTime import DateTime
-from quintagroup.plonegooglesitemaps.browser.commonview import *
+from quintagroup.plonegooglesitemaps.browser.commonview \
+    import CommonSitemapView, implements, ISitemapView
 
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/utils.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/utils.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/browser/utils.py	(revision 3163)
@@ -1,11 +1,8 @@
 import re
-from zope.component import queryAdapter
 
-from DateTime import DateTime
 from Missing import MV as Missing_Value
 from Products.CMFCore.utils import getToolByName
 
 from quintagroup.canonicalpath.interfaces import ICanonicalLink
-import quintagroup.plonegooglesitemaps.config as config
 
 ADD_ZOPE = re.compile('^/')
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/config.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/config.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/config.py	(revision 3163)
@@ -31,4 +31,5 @@
 try:
     from plone import browserlayer
+    browserlayer
 except ImportError:
     SUPPORT_BLAYER = False
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/content/sitemap.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/content/sitemap.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/content/sitemap.py	(revision 3163)
@@ -3,5 +3,5 @@
 
 import string
-from zope.interface import implements, directlyProvides
+from zope.interface import implements
 
 from Products.Archetypes import atapi
@@ -13,5 +13,6 @@
     import qPloneGoogleSitemapsMessageFactory as _
 from quintagroup.plonegooglesitemaps.interfaces import ISitemap
-from quintagroup.plonegooglesitemaps.config import *
+from quintagroup.plonegooglesitemaps.config import SITEMAPS_VIEW_MAP, \
+    PROJECTNAME, AVAILABLE_WF_SCRIPTS
 
 SitemapSchema = schemata.ATContentTypeSchema.copy() + atapi.Schema((
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/events.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/events.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/events.py	(revision 3163)
@@ -1,9 +1,11 @@
 try:
     from Products.DCWorkflow.events import AfterTransitionEvent
+    AfterTransitionEvent()
 except ImportError:
     # Copy AfterTransitionEvent from Plone-3/Products.DCWorkflow.events
     from zope.interface import implements
     from zope.app.event.objectevent import ObjectEvent
-    from quintagroup.plonegooglesitemaps.interfaces import *
+    from quintagroup.plonegooglesitemaps.interfaces import ITransitionEvent, \
+        IAfterTransitionEvent
 
     class TransitionEvent(ObjectEvent):
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt	(revision 3163)
@@ -157,4 +157,5 @@
 Create regular expression, which will help us to test which urls pass the filters.
 
+    >>> import re
     >>> reloc = re.compile("<loc>%s([^\<]*)</loc>" % self.portal.absolute_url(), re.S)
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/handlers.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/handlers.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/handlers.py	(revision 3163)
@@ -2,5 +2,5 @@
 from Products.CMFCore.utils import getToolByName
 #from quintagroup.plonegooglesitemaps.events import AfterTransitionEvent
-from quintagroup.plonegooglesitemaps.interfaces import IAfterTransitionEvent
+from Products.DCWorkflow.interfaces import IAfterTransitionEvent
 from quintagroup.plonegooglesitemaps.utils import ping_google
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/interfaces.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/interfaces.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/interfaces.py	(revision 3163)
@@ -1,13 +1,6 @@
-from zope import schema
 from zope.interface import Interface
 
-from zope.app.container.constraints import contains
-from zope.app.container.constraints import containers
-
-from Products.DCWorkflow.interfaces import IAfterTransitionEvent
 from plone.browserlayer.interfaces import ILocalBrowserLayerType
 
-from quintagroup.plonegooglesitemaps \
-    import qPloneGoogleSitemapsMessageFactory as _
 
 # -*- extra stuff goes here -*-
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/setuphandlers.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/setuphandlers.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/setuphandlers.py	(revision 3163)
@@ -1,3 +1,2 @@
-import sys
 import logging
 from zope.component import getSiteManager
@@ -81,5 +80,5 @@
     old_product = "qPloneGoogleSitemaps"
     # Get plone tools
-    pp = getToolByName(site, 'portal_properties')
+    getToolByName(site, 'portal_properties')
     skins = getToolByName(site, 'portal_skins')
     controlpanel = getToolByName(site, 'portal_controlpanel')
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/base.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/base.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/base.py	(revision 3163)
@@ -3,13 +3,5 @@
 #
 
-import re
-import sys
-from urllib import urlencode
-from StringIO import StringIO
-import unittest
-
-from zope.testing import doctestunit
 from zope.interface import Interface
-from zope.component import testing
 from zope.interface import alsoProvides
 from Testing import ZopeTestCase as ztc
@@ -19,15 +11,8 @@
 
 from Products.PloneTestCase import PloneTestCase as ptc
-from Products.PloneTestCase.layer import onsetup
-from Products.PloneTestCase.layer import PloneSite
 from Products.PloneTestCase.setup import portal_owner
 from Products.PloneTestCase.setup import default_password
 
-from XMLParser import parse, hasURL
-
 import quintagroup.plonegooglesitemaps
-from quintagroup.plonegooglesitemaps.config import PROJECTNAME
-from quintagroup.plonegooglesitemaps.config import ping_googlesitemap
-from quintagroup.plonegooglesitemaps.config import SUPPORT_BLAYER
 from quintagroup.plonegooglesitemaps.browser import mobilesitemapview
 from quintagroup.plonegooglesitemaps.interfaces import IGoogleSitemapsLayer
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 3163)
@@ -2,7 +2,8 @@
 # Tests related to general Sitemap type.
 #
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base import TestCase
+import unittest
+
 from types import ListType, TupleType
-from zope import component
 from zope.component import queryMultiAdapter
 
@@ -129,4 +130,5 @@
 
     # def testGetCorrectFilterName(self):
+    #     from zope import component
     #     call_names = []
     #     origQMA = component._api.queryMultiAdapter
@@ -143,9 +145,8 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestBOFilters))
-    suite.addTest(makeSuite(TestDefaultFilters))
-    suite.addTest(makeSuite(TestBlacklistFormProcessing))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestBOFilters))
+    suite.addTest(unittest.makeSuite(TestDefaultFilters))
+    suite.addTest(unittest.makeSuite(TestBlacklistFormProcessing))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testConfiglet.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testConfiglet.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testConfiglet.py	(revision 3163)
@@ -3,11 +3,10 @@
 #
 
-from base import *
-from cgi import FieldStorage
-from tempfile import TemporaryFile, NamedTemporaryFile
+from quintagroup.plonegooglesitemaps.tests.base import FunctionalTestCase
+from StringIO import StringIO
+from urllib import urlencode
+import unittest
 
-from OFS.Image import cookId
 from Products.CMFPlone.utils import _createObjectByType
-from ZPublisher.HTTPRequest import FileUpload
 
 
@@ -39,6 +38,6 @@
         self.assertEqual(resp.getHeader("Location").endswith(sm_edit), True)
         # Add SM
-        sm = self.portal["sitemap.xml"]
-        #sm.setPortalTypes(("Documents",))
+        self.portal["sitemap.xml"]
+        #self.portal["sitemap.xml"].setPortalTypes(("Documents",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
         self.assertEqual('href="http://nohost/plone/sitemap.xml/edit"' in \
@@ -52,6 +51,6 @@
         self.assertEqual(resp.getHeader("Location").endswith(sm_edit), True)
         # Add SM
-        sm = self.portal["news-sitemap.xml"]
-        #sm.setPortalTypes(("News Item",))
+        self.portal["news-sitemap.xml"]
+        #self.portal["news-sitemap.xml"].setPortalTypes(("News Item",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
         self.assertEqual('href="http://nohost/plone/news-sitemap.xml/edit"' \
@@ -65,6 +64,6 @@
         self.assertEqual(resp.getHeader("Location").endswith(msm_edit), True)
         # Add SM
-        sm = self.portal["mobile-sitemap.xml"]
-        #sm.setPortalTypes(("Documents",))
+        self.portal["mobile-sitemap.xml"]
+        #self.portal["mobile-sitemap.xml"].setPortalTypes(("Documents",))
         newform = self.publish(self.settingsURL, basic=self.auth).getBody()
         self.assertEqual('href="http://nohost/plone/mobile-sitemap.xml/edit"' \
@@ -93,8 +92,7 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestConfigletSettings))
-    suite.addTest(makeSuite(TestConfigletOverview))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestConfigletSettings))
+    suite.addTest(unittest.makeSuite(TestConfigletOverview))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testGoogleSitemaps.py	(revision 3163)
@@ -3,7 +3,13 @@
 #
 
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base import FunctionalTestCase
+from quintagroup.plonegooglesitemaps.tests.XMLParser import parse
+from StringIO import StringIO
+from urllib import urlencode
+import re
+import unittest
+
 from cgi import FieldStorage
-from tempfile import TemporaryFile, NamedTemporaryFile
+from tempfile import NamedTemporaryFile
 
 from OFS.Image import cookId
@@ -149,7 +155,6 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestGoogleSitemaps))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestGoogleSitemaps))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testInstallation.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testInstallation.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testInstallation.py	(revision 3163)
@@ -1,3 +1,7 @@
-from base import *
+from quintagroup.plonegooglesitemaps.config import SUPPORT_BLAYER
+from quintagroup.plonegooglesitemaps.tests.base import TestCase, \
+    PRODUCT, IGoogleSitemapsLayer
+import unittest
+
 from zope.component import getSiteManager
 from archetypes.schemaextender.interfaces import ISchemaExtender
@@ -71,5 +75,5 @@
         cols = ["canonical_link", "Language", "gsm_access",
                 "gsm_genres", "gsm_stock"]
-        lsm = getSiteManager(self.portal)
+        getSiteManager(self.portal)
         catalog = self.portal.portal_catalog
         setuptools = self.portal.portal_setup
@@ -152,8 +156,7 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestGoogleSitemapsInstallation))
-    suite.addTest(makeSuite(TestGoogleSitemapsUninstallation))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestGoogleSitemapsInstallation))
+    suite.addTest(unittest.makeSuite(TestGoogleSitemapsUninstallation))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testMobileSitemaps.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testMobileSitemaps.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testMobileSitemaps.py	(revision 3163)
@@ -1,9 +1,12 @@
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base import TestCase, \
+    FunctionalTestCase, IMobileMarker
+from Products.PloneTestCase.setup import portal_owner, default_password
+from quintagroup.plonegooglesitemaps.tests.XMLParser import parse
+import unittest
+
 from DateTime import DateTime
 
 from zope.interface import alsoProvides
 from zope.component import queryMultiAdapter
-from zope.component import getSiteManager, getGlobalSiteManager
-from archetypes.schemaextender.interfaces import ISchemaExtender
 
 from Products.CMFPlone.utils import _createObjectByType
@@ -102,7 +105,10 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestMobileSitemapsXML))
-    suite.addTest(makeSuite(TestMobileSitemaps))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestMobileSitemapsXML))
+    suite.addTest(unittest.makeSuite(TestMobileSitemaps))
     return suite
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')
+#    framework()
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testNewsSitemaps.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testNewsSitemaps.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testNewsSitemaps.py	(revision 3163)
@@ -1,3 +1,9 @@
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base \
+    import FunctionalTestCase, TestCase, IGoogleSitemapsLayer
+from quintagroup.plonegooglesitemaps.tests.XMLParser import parse
+from Products.PloneTestCase.setup import portal_owner, default_password
+from zope.interface import alsoProvides
+import unittest
+
 from DateTime import DateTime
 from Missing import MV
@@ -178,5 +184,5 @@
         self.assert_("n:keywords" not in self.start.keys())
 
-    def test_no_keywords(self):
+    def test_no_stock_tickers(self):
         self.assert_("n:stock_tickers" not in self.start.keys())
 
@@ -298,5 +304,5 @@
         for n, func in self.nsmv.additional_maps:
             try:
-                v = func(self.brain)
+                func(self.brain)
             except Exception, e:
                 self.fail("Wrong processing 'Missing' value for '%s': %s" \
@@ -305,10 +311,13 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestNewsSitemapsXML))
-    suite.addTest(makeSuite(TestNewsSitemapsXMLDefaultObject))
-    suite.addTest(makeSuite(TestSchemaExtending))
-    suite.addTest(makeSuite(TestNotOverrideExistingSchemaExtender))
-    suite.addTest(makeSuite(TestAdditionalMaps))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestNewsSitemapsXML))
+    suite.addTest(unittest.makeSuite(TestNewsSitemapsXMLDefaultObject))
+    suite.addTest(unittest.makeSuite(TestSchemaExtending))
+    suite.addTest(unittest.makeSuite(TestNotOverrideExistingSchemaExtender))
+    suite.addTest(unittest.makeSuite(TestAdditionalMaps))
     return suite
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')
+#    framework()
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testPinging.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testPinging.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testPinging.py	(revision 3163)
@@ -1,3 +1,7 @@
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base import FunctionalTestCase
+import sys
+from StringIO import StringIO
+import unittest
+
 from Products.CMFPlone.utils import _createObjectByType
 
@@ -72,5 +76,5 @@
         sys.stdout = myout
         try:
-            response = self.publish("%s?%s" % (formUrl, qs), basic=self.auth)
+            self.publish("%s?%s" % (formUrl, qs), basic=self.auth)
             myout.seek(0)
             data = myout.read()
@@ -87,7 +91,6 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestPinging))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestPinging))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSecurity.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSecurity.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSecurity.py	(revision 3163)
@@ -2,7 +2,10 @@
 # Tests related to general Sitemap type.
 #
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base \
+    import FunctionalTestCase, IMobileMarker
+from quintagroup.plonegooglesitemaps.tests.XMLParser import parse
+
+import unittest
 from zope.interface import alsoProvides
-from Products.Archetypes import atapi
 from Products.CMFPlone.utils import _createObjectByType
 
@@ -124,9 +127,8 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestSecurityConfigletManager))
-    suite.addTest(makeSuite(TestSecurityConfigletNotManager))
-    suite.addTest(makeSuite(TestSecuritySiteMaps))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestSecurityConfigletManager))
+    suite.addTest(unittest.makeSuite(TestSecurityConfigletNotManager))
+    suite.addTest(unittest.makeSuite(TestSecuritySiteMaps))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSitemaps.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSitemaps.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testSitemaps.py	(revision 3163)
@@ -2,5 +2,13 @@
 # Tests related to general Sitemap type.
 #
-from base import *
+from quintagroup.plonegooglesitemaps.tests.base \
+    import FunctionalTestCase, TestCase, IMobileMarker
+from quintagroup.plonegooglesitemaps.config import ping_googlesitemap
+from StringIO import StringIO
+from urllib import urlencode
+import sys
+from XMLParser import hasURL
+import unittest
+
 from DateTime import DateTime
 from zope.interface import alsoProvides
@@ -80,5 +88,5 @@
         self.assertEqual("published" in wfstates.keys(), True)
 
-    def testWorkflowStates(self):
+    def testWorkflowTransitions(self):
         wftrans = self.contentSM.getWorkflowTransitions()
         self.assertEqual(isinstance(wftrans, atapi.DisplayList), True)
@@ -239,5 +247,5 @@
         sys.stdout = myout
         try:
-            response = self.publish("%s?%s" % (formUrl, qs), basic=self.auth)
+            self.publish("%s?%s" % (formUrl, qs), basic=self.auth)
             myout.seek(0)
             data = myout.read()
@@ -299,10 +307,9 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestSitemapType))
-    suite.addTest(makeSuite(TestSettings))
-    suite.addTest(makeSuite(TestPinging))
-    suite.addTest(makeSuite(TestContextSearch))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestSitemapType))
+    suite.addTest(unittest.makeSuite(TestSettings))
+    suite.addTest(unittest.makeSuite(TestPinging))
+    suite.addTest(unittest.makeSuite(TestContextSearch))
     return suite
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testUpgrade.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testUpgrade.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/testUpgrade.py	(revision 3163)
@@ -4,11 +4,12 @@
 
 import logging
-from base import *
-from zope.component import getSiteManager
+
+from quintagroup.plonegooglesitemaps.tests.base import TestCase
+import unittest
+
 from StringIO import StringIO
 
 from Products.CMFPlone.utils import _createObjectByType
 from Products.GenericSetup.upgrade import _upgrade_registry
-from archetypes.schemaextender.interfaces import ISchemaExtender
 from quintagroup.plonegooglesitemaps import config
 from quintagroup.plonegooglesitemaps import upgrades as gsm_upgrades
@@ -194,9 +195,8 @@
 
 def test_suite():
-    from unittest import TestSuite, makeSuite
-    suite = TestSuite()
-    suite.addTest(makeSuite(TestUpgrade))
+    suite = unittest.TestSuite()
+    suite.addTest(unittest.makeSuite(TestUpgrade))
     if PRESENT_OLD_PRODUCT:
-        suite.addTest(makeSuite(TestMigrationFromProduct))
+        suite.addTest(unittest.makeSuite(TestMigrationFromProduct))
 
     return suite
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/test_doctest.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/test_doctest.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/tests/test_doctest.py	(revision 3163)
@@ -2,5 +2,6 @@
 import doctest
 
-from base import *
+from base import FunctionalTestCase
+from Testing import ZopeTestCase as ztc
 from Products.CMFPlone.utils import _createObjectByType
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/utils.py
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/utils.py	(revision 3162)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/utils.py	(revision 3163)
@@ -3,5 +3,5 @@
 
 from Globals import DevelopmentMode
-from OFS.ObjectManager import BadRequestException
+#from OFS.ObjectManager import BadRequestException
 
 from quintagroup.plonegooglesitemaps import config
@@ -22,5 +22,5 @@
     g = urlopen('http://www.google.com/webmasters/tools/ping?sitemap=' + \
                 sitemap_url)
-    result = g.read()
+    g.read()
     g.close()
 