Index: /quintagroup.portlet.static/trunk/README.txt
===================================================================
--- /quintagroup.portlet.static/trunk/README.txt	(revision 3217)
+++ /quintagroup.portlet.static/trunk/README.txt	(revision 3218)
@@ -1,42 +1,2 @@
-quintagroup.portlet.static
-==========================
+See quintagroup/portlet/static/README.txt
 
-quintagroup.portlet.static is a Plone product that allows you to add stylished
-static text portlets to your Plone site. Static Stylish Text portlets are 
-usual Plone Static Text portlets with certain HTML classes assigned. 
-
-Static Stylish Text portlets can be used in those cases when you need to have
-several static text portlets be displayed in different ways. For this, 
-go to Site Setup -> Add-on Products Configuration -> Static Stylish portlet
-(www.yoursite/@@staticstylishportlet-controlpanel). In Static Stylish portlet
-settings area create HTML classes and specify CSS styles for those HTML 
-classes in the corresponding CSS file. These classes will be available for 
-you in a Portlet style drop down menu on static stylish text portlet add/edit form. 
-
-Usage
------
-
-* Select Static Stylish text portlet from Add portlet drop-down menu
-
-* Provide content to be displayed on the portlet [as you would do for
-  usual Plone static text portlets
-
-* Choose a portlet style for the portlet from the list of available HTML
-  classes.
-
-* Save changes.
-
-Supported Plone version
------------------------
-
-* 3.x
-
-Authors
--------
-
-* Vitaliy Podoba
-
-* Roman Kozlovskyi
-
-Copyright (c) "Quintagroup": http://quintagroup.com/, 2010
-
Index: /quintagroup.portlet.static/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.portlet.static/trunk/docs/HISTORY.txt	(revision 3217)
+++ /quintagroup.portlet.static/trunk/docs/HISTORY.txt	(revision 3218)
@@ -1,4 +1,10 @@
 Changelog
 =========
+
+0.4 - May 20, 2011
+------------------
+
+* Plone 4 compatibility added
+
 
 0.3 - September 03, 2010
Index: /quintagroup.portlet.static/trunk/docs/INSTALL.txt
===================================================================
--- /quintagroup.portlet.static/trunk/docs/INSTALL.txt	(revision 3217)
+++ /quintagroup.portlet.static/trunk/docs/INSTALL.txt	(revision 3218)
@@ -1,18 +1,6 @@
-quintagroup.portlet.static Installation
-=======================
+Installation
+============
 
- * When you're reading this you have probably already run
-   ``easy_install quintagroup.portlet.static``. Find out how to install setuptools
-   (and EasyInstall) here:
-   http://peak.telecommunity.com/DevCenter/EasyInstall
-
- * Create a file called ``quintagroup.portlet.static-configure.zcml`` in the
-   ``/path/to/instance/etc/package-includes`` directory.  The file
-   should only contain this::
-
-       <include package="quintagroup.portlet.static" />
-
-Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
-recipe to manage your project, you can do this:
+In buildout.cfg file of your instance: 
 
  * Add ``quintagroup.portlet.static`` to the list of eggs to install, e.g.:
@@ -24,16 +12,18 @@
         quintagroup.portlet.static
 
-  * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+ * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
 
     [instance]
-    recipe = plone.recipe.zope2instance
     ...
     zcml =
         quintagroup.portlet.static
 
-  * Re-run buildout, e.g. with:
+ * Re-run buildout, e.g. with:
 
     $ ./bin/buildout
 
-You can skip the ZCML slug if you are going to explicitly include the package
-from another package's configure.zcml file.
+ * Restart the Zope server, for example, with the following command in the terminal::
+
+    $ ./bin/instance restart
+
+ * Install 'Static Stylish Portlet' via Site Setup -> Add-ons
Index: /quintagroup.portlet.static/trunk/docs/LICENSE.txt
===================================================================
--- /quintagroup.portlet.static/trunk/docs/LICENSE.txt	(revision 3217)
+++ /quintagroup.portlet.static/trunk/docs/LICENSE.txt	(revision 3218)
@@ -1,3 +1,3 @@
-  quintagroup.portlet.static is copyright Vitaliy Podoba
+  quintagroup.portlet.static is copyright Quintagroup
 
   This program is free software; you can redistribute it and/or modify
Index: /quintagroup.portlet.static/trunk/quintagroup/portlet/static/README.txt
===================================================================
--- /quintagroup.portlet.static/trunk/quintagroup/portlet/static/README.txt	(revision 3218)
+++ /quintagroup.portlet.static/trunk/quintagroup/portlet/static/README.txt	(revision 3218)
@@ -0,0 +1,42 @@
+quintagroup.portlet.static
+==========================
+
+quintagroup.portlet.static is a Plone product that allows you to add stylished
+static text portlets to your Plone site. Static Stylish Text portlets are 
+usual Plone Static Text portlets with certain HTML classes assigned. 
+
+Static Stylish Text portlets can be used in those cases when you need to have
+several static text portlets be displayed in different ways. For this, 
+go to Site Setup -> Add-on Products Configuration -> Static Stylish portlet
+(www.yoursite/@@staticstylishportlet-controlpanel). In Static Stylish portlet
+settings area create HTML classes and specify CSS styles for those HTML 
+classes in the corresponding CSS file. These classes will be available for 
+you in a Portlet style drop down menu on static stylish text portlet add/edit form. 
+
+Usage
+-----
+
+* Select Static Stylish text portlet from Add portlet drop-down menu
+
+* Provide content to be displayed on the portlet [as you would do for
+  usual Plone static text portlets
+
+* Choose a portlet style for the portlet from the list of available HTML
+  classes.
+
+* Save changes.
+
+Supported Plone version
+-----------------------
+
+* 4.0
+* 3.x
+
+Authors
+-------
+
+* Vitaliy Podoba
+* Roman Kozlovskyi
+
+Copyright (c) "Quintagroup": http://quintagroup.com, 2011
+
Index: /quintagroup.portlet.static/trunk/quintagroup/portlet/static/profiles/default/metadata.xml
===================================================================
--- /quintagroup.portlet.static/trunk/quintagroup/portlet/static/profiles/default/metadata.xml	(revision 3217)
+++ /quintagroup.portlet.static/trunk/quintagroup/portlet/static/profiles/default/metadata.xml	(revision 3218)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <metadata>
-  <version>0.2</version>
+  <version>0.4</version>
 </metadata>
Index: /quintagroup.portlet.static/trunk/setup.py
===================================================================
--- /quintagroup.portlet.static/trunk/setup.py	(revision 3217)
+++ /quintagroup.portlet.static/trunk/setup.py	(revision 3218)
@@ -2,10 +2,11 @@
 import os
 
-version = '0.3'
+version = '0.4'
 
 setup(name='quintagroup.portlet.static',
       version=version,
       description="Static portlet with one extra styling field",
-      long_description=open("README.txt").read() + "\n" +
+      long_description=open(os.path.join("quintagroup", "portlet", "static", "README.txt")).read() + "\n\n" +
+                       open(os.path.join("docs", "INSTALL.txt")).read() + "\n\n"+
                        open(os.path.join("docs", "HISTORY.txt")).read(),
       # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers