Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/configure.zcml
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/configure.zcml	(revision 3255)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/configure.zcml	(revision 3258)
@@ -3,4 +3,5 @@
     xmlns:five="http://namespaces.zope.org/five"
     xmlns:cmf="http://namespaces.zope.org/cmf"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
     xmlns:i18n="http://namespaces.zope.org/i18n"
     i18n_domain="quintagroup.plonecomments">
@@ -20,3 +21,26 @@
         />
 
+    <genericsetup:importStep
+          name="quintagroup.plonecomments.install"
+          title="quintagroup.plonecomments: miscellaneous import steps for install package"
+          description=""
+          handler="quintagroup.plonecomments.setuphandlers.install">
+       <depends name="skins"/>
+       <depends name="rolemap"/>
+    </genericsetup:importStep>
+
+    <genericsetup:importStep
+          name="quintagroup.plonecomments.uninstall"
+          title="quintagroup.plonecomments: miscellaneous import steps for uninstall package"
+          description=""
+          handler="quintagroup.plonecomments.setuphandlers.uninstall">
+    </genericsetup:importStep>
+
+    <genericsetup:upgradeStep
+          title="updrade to 4.1.8"
+          description=""
+          destination="4.1.8"
+          handler="quintagroup.plonecomments.upgrades.cleanup_old_importsteps"        
+          profile="quintagroup.plonecomments:default" /> 
+
 </configure>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/default/import_steps.xml
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/default/import_steps.xml	(revision 3255)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<?xml version="1.0"?>
-<import-steps>
-  <import-step id="quintagroup.plonecomments.install"
-               version="20090319-01"
-               handler="quintagroup.plonecomments.setuphandlers.install"
-               title="quintagroup.plonecomments: miscellaneous import steps for install package">
-    <dependency step="skins" />
-    Various import steps that are not handled by GS import/export
-    handlers.
-  </import-step>
-</import-steps>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/uninstall/import_steps.xml
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/profiles/uninstall/import_steps.xml	(revision 3255)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?xml version="1.0"?>
-<import-steps>
-  <import-step id="quintagroup.plonecomments.uninstall"
-               version="20090319-01"
-               handler="quintagroup.plonecomments.setuphandlers.uninstall"
-               title="quintagroup.plonecomments: miscellaneous import steps for uninstall package">
-    Various import steps that are not handled by GS import/export
-    handlers.
-  </import-step>
-</import-steps>
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/upgrades.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/upgrades.py	(revision 3258)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/upgrades.py	(revision 3258)
@@ -0,0 +1,17 @@
+from Products.GenericSetup.registry import _import_step_registry
+
+
+def cleanup_old_importsteps(setuptool):
+    """ remove import steps from global registry """
+
+    qgcomments_steps = ['quintagroup.plonecomments.install',
+                        'quintagroup.plonecomments.uninstall']
+    registry_tool = setuptool.getImportStepRegistry()
+    global_steps = _import_step_registry.listSteps()
+    steps = registry_tool.listSteps()
+
+    # check and remove steps duplicate
+    double_steps = [step for step in steps if step in global_steps]
+    for step in qgcomments_steps:
+        if step in double_steps:
+            del registry_tool._registered[step]