Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3396)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3397)
@@ -73,5 +73,5 @@
         self.sitemaps = [i.getObject() for i in \
                          self.tools.catalog()(portal_type='Sitemap')]
-
+ 
     @property
     def sm_types(self):
@@ -144,14 +144,26 @@
         return (size, entries)
 
+    def deleteVerificationFile(self):
+        portal = self.pps.portal()
+        portal.manage_delObjects([self.request.id,])
+        if 'HTTP_REFERER' in self.request.keys():      
+            url = self.request.HTTP_REFERER
+        else:
+            url = self.context + 'prefs_gsm_verification'
+        self.request.RESPONSE.redirect(url)
+
     def getVerificationFiles(self):
         vfs = []
         props = getattr(self.tools.properties(), 'googlesitemap_properties')
+        portal = self.pps.portal()
         if props:
-            portal_ids = self.pps.portal().objectIds()
+            portal_ids = portal.objectIds()
             props_vfs = list(props.getProperty('verification_filenames', []))
+
             vfs = [vf for vf in props_vfs if vf in portal_ids]
             if not props_vfs == vfs:
                 props._updateProperty('verification_filenames', vfs)
-        return vfs
+
+        return [{'id': x, 'title': portal[x].title} for x in vfs]
 
     def uploadVerificationFile(self, request):
@@ -159,7 +171,8 @@
         portal = self.pps.portal()
         try:
+            comment = request.get("comment")
             vfile = request.get("verification_file")
             vfilename, vftitle = cookId("", "", vfile)
-            portal.manage_addFile(id="", file=vfile)
+            portal.manage_addFile(id="", file=vfile, title=comment)
             portal[vfilename].manage_addProperty(
                 'CreatedBy', 'quintagroupt.plonegooglesitemaps', 'string')
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml	(revision 3396)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml	(revision 3397)
@@ -50,3 +50,25 @@
     />
 
+    <browser:page
+      for="Products.CMFPlone.interfaces.IPloneSiteRoot"
+      name="deleteVerificationFile"
+      class=".configletview.ConfigletSettingsView"
+      permission="cmf.ManagePortal"
+      attribute="deleteVerificationFile"
+    />
+
+    <browser:resource                                                           
+      name="trash.gif"                                                          
+      image="./images/trash.gif"                                                
+      layer="quintagroup.plonegooglesitemaps.interfaces.IGoogleSitemapsLayer"
+      permission="cmf.ManagePortal"
+    />     
+    
+    <browser:resource
+      name="verify_file.css"
+      file="resources/verify_file.css"
+      layer="quintagroup.plonegooglesitemaps.interfaces.IGoogleSitemapsLayer"
+      permission="cmf.ManagePortal"
+    />
+
 </configure>
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css	(revision 3397)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css	(revision 3397)
@@ -0,0 +1,10 @@
+.delete {                                           
+    background:url(++resource++trash.gif) 5px 50% no-repeat;     
+    display:none;
+    font-size:80%;                     
+    padding:0 0 0 18px;                                    
+    }
+li:hover .delete {
+    display:inline;
+    }
+
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml	(revision 3397)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml	(revision 3397)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<object name="portal_css">
+<stylesheet
+    id="++resource++verify_file.css"
+    media="" rel="stylesheet" rendering="import"
+    cacheable="True" compression="safe" cookable="True"
+    enabled="1" expression="python:request['URL'].find('/prefs_gsm_verification')>0" 
+    insert-after="ploneKss.css"/>
+</object>
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_overview.cpt
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_overview.cpt	(revision 3396)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_overview.cpt	(revision 3397)
@@ -7,34 +7,34 @@
 
 <body>
-  <div metal:fill-slot="prefs_configlet_main"
+  <div metal:fill-slot="prefs_configlet_content"
        tal:define="errors python:request.get('errors', {});
                    portal context/@@plone_portal_state/portal;">
 
     <div class="documentEditable">
-        <ul class="contentViews">
-            <li class="selected">
-                <a href=""
-                   tal:attributes="href string:${template/id}"
-                   i18n:translate="label_properties">Overview</a>
-            </li>
-
-            <li class="">
-                <a href=""
-                   tal:attributes="href string: prefs_gsm_verification"
-                   i18n:translate="label_properties">Verification</a>
-            </li>
-
-            <li class="">
-               <a href=""
-                  tal:attributes="href string: prefs_gsm_settings">
-                  Settings</a>
-            </li>
-
-        </ul>
-
-        <div class="contentActions">
-        &nbsp;
+        <div id="edit-bar">
+            <ul class="contentViews" id="content-views">
+                <li class="selected">
+                    <a href=""
+                       tal:attributes="href string:${template/id}"
+                       i18n:translate="label_properties">Overview</a>
+                </li>
+    
+                <li class="">
+                    <a href=""
+                       tal:attributes="href string: prefs_gsm_verification"
+                       i18n:translate="label_properties">Verification</a>
+                </li>
+    
+                <li class="">
+                   <a href=""
+                      tal:attributes="href string: prefs_gsm_settings">
+                      Settings</a>
+                </li>
+    
+            </ul>
+    
+            <div class="contentActions"> &nbsp; </div>
         </div>
-        <div class="documentContent">
+        <div id=content class="documentContent">
             <h1 i18n:translate="heading_plonegooglesitemaps">Plone Google Sitemaps</h1>
             <a href=""
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt	(revision 3396)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_settings.cpt	(revision 3397)
@@ -6,5 +6,5 @@
       i18n:domain="qPloneGoogleSitemaps">
 <body>
-    <div metal:fill-slot="prefs_configlet_main"
+    <div metal:fill-slot="prefs_configlet_content"
         tal:define="errors python:request.get('errors', {});
                     here_url context/@@plone_context_state/object_url;
@@ -12,25 +12,25 @@
 
         <div class="documentEditable">
-            <ul class="contentViews">
-                <li class="">
+            <div id="edit-bar">
+                <ul class="contentViews" id="content-views">
+                    <li class="">
+                        <a href=""
+                           tal:attributes="href string: prefs_gsm_overview">
+                           Overview</a>
+                    </li>
+                    <li class="">
+                        <a href=""
+                           tal:attributes="href string:prefs_gsm_verification">
+                           Verification</a>
+                    </li>
+                    <li class="selected">
                     <a href=""
-                       tal:attributes="href string: prefs_gsm_overview">
-                       Overview</a>
-                </li>
-                <li class="">
-                    <a href=""
-                       tal:attributes="href string:prefs_gsm_verification">
-                       Verification</a>
-                </li>
-                <li class="selected">
-                <a href=""
-                   tal:attributes="href string:${template/id}">
-                   Settings</a>
-                </li>
-            </ul>
-            <div class="contentActions">
-            &nbsp;
+                       tal:attributes="href string:${template/id}">
+                       Settings</a>
+                    </li>
+                </ul>
+                <div class="contentActions"> &nbsp; </div>
             </div>
-            <div class="documentContent">
+            <div id=content class="documentContent">
                 <h1 i18n:translate="heading_plonegooglesitemaps">Plone Google Sitemaps</h1>
                 <a href=""
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 3396)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 3397)
@@ -6,5 +6,5 @@
       i18n:domain="qPloneGoogleSitemaps"> 
 <body>
-    <div metal:fill-slot="prefs_configlet_main"
+    <div metal:fill-slot="prefs_configlet_content"
         tal:define="errors python:request.get('errors', {});
                     view here/@@sitemap_settings;
@@ -14,29 +14,28 @@
 
         <div class="documentEditable">
-            <ul class="contentViews">
-                <li class="">
+            <div id="edit-bar">
+                <ul class="contentViews" id="content-views">
+                    <li class="">
+                        <a href=""
+                        tal:attributes="href string: prefs_gsm_overview"
+                        i18n:translate="label_properties">Overview</a>
+                    </li>
+
+                    <li class="selected">
+                        <a href=""
+                        tal:attributes="href string:${template/id}"
+                        i18n:translate="label_properties">Verification</a>
+                    </li>
+
+                    <li class="">
                     <a href=""
-                    tal:attributes="href string: prefs_gsm_overview"
-                    i18n:translate="label_properties">Overview</a>
-                </li>
+                        tal:attributes="href string:prefs_gsm_settings">
+                        Settings</a>
+                    </li>
 
-                <li class="selected">
-                    <a href=""
-                    tal:attributes="href string:${template/id}"
-                    i18n:translate="label_properties">Verification</a>
-                </li>
-
-                <li class="">
-                <a href=""
-                    tal:attributes="href string:prefs_gsm_settings">
-                    Settings</a>
-                </li>
-
-            </ul>
-
-            <div class="contentActions">
-            &nbsp;
+                </ul>
+                <div class="contentActions"> &nbsp; </div>
             </div>
-            <div class="documentContent">
+            <div id="content" class="documentContent">
                 <h1 i18n:translate="heading_plonegooglesitemaps">Plone Google Sitemaps</h1>
                 <a href=""
@@ -49,4 +48,5 @@
                 <form action="manage_addFile" method="post" enctype="multipart/form-data"
                       tal:define="vfiles view/getVerificationFiles;
+                                  user_id context/plone_portal_state/member;
                                   step1 python:test(vfiles, 'discreet', '');
                                   step2 python:test(not vfiles, 'discreet', '')"
@@ -62,7 +62,8 @@
                             <p><input name="verification_file" id="verify_filename" type="file"></p>
                         </li>
-                        <li tal:attributes="class step1">
-                                <input name="form.button.CreateFile" id="create_file" type="submit" value="Upload verification file to the site"/>
-                                <input type="hidden" name="form.submitted" value="1" />
+                        <li tal:attributes="class step1">Comment:
+                                <p><input type="text" value="" tal:attributes="value user_id" name='comment'/>
+                                   <input name="form.button.CreateFile" id="create_file" type="submit" value="Upload verification file to the site"/>
+                                   <input type="hidden" name="form.submitted" value="1" /></p>
                         </li>
                         <li class="discreet"
@@ -75,7 +76,9 @@
                             tal:attributes="class step2"
                             tal:condition="vfiles">
-                            <strong>Existent verification files:</strong>
-                            <ul><li tal:repeat="vf vfiles"
-                                    tal:content="vf">verification file id
+                            <strong>Existing verification files:</strong>
+                            <ul><li tal:repeat="vf vfiles">
+                                    <a tal:attributes="href string: ${vf/id}" tal:content="vf/id"></a>
+                                    <span tal:replace="string: (${vf/title})">comment to verification file</span>
+                                    <a tal:attributes="href string: ${context/absolute_url}/@@deleteVerificationFile?id=${vf/id}; class string:delete">Delete</a>
                             </li></ul>
                         </li>