Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/docs/HISTORY.txt
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/docs/HISTORY.txt	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/docs/HISTORY.txt	(revision 3405)
@@ -1,4 +1,13 @@
 Changelog
 =========
+
+1.7.1 - unreleased
+------------------
+
+* Added deleting (button) the verification file
+  [potar]
+
+* Updated view quintagroup.plonegooglesitemaps (tabs)
+  [potar]
 
 1.7.0 (2011-10-28)
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configletview.py	(revision 3405)
@@ -5,4 +5,6 @@
 from OFS.ObjectManager import BadRequestException
 from Products.Five import BrowserView
+
+import urlparse
 
 
@@ -144,12 +146,10 @@
         return (size, entries)
 
-    def deleteVerificationFile(self):
+    def deleteGSMVerificationFile(self):
         portal = self.pps.portal()
         portal.manage_delObjects([self.request.id, ])
-        if 'HTTP_REFERER' in self.request.keys():
-            url = self.request.HTTP_REFERER
-        else:
-            url = self.context + 'prefs_gsm_verification'
-        self.request.RESPONSE.redirect(url)
+        self.request.RESPONSE.redirect(
+                                urlparse.urljoin(self.context.absolute_url,
+                                'prefs_gsm_verification'))
 
     def getVerificationFiles(self):
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/configure.zcml	(revision 3405)
@@ -52,13 +52,13 @@
     <browser:page
       for="Products.CMFPlone.interfaces.IPloneSiteRoot"
-      name="deleteVerificationFile"
+      name="deleteGSMVerificationFile"
       class=".configletview.ConfigletSettingsView"
       permission="cmf.ManagePortal"
-      attribute="deleteVerificationFile"
+      attribute="deleteGSMVerificationFile"
     />
 
     <browser:resource                                                           
-      name="trash.gif"                                                          
-      image="./images/trash.gif"                                                
+      name="quintagroup.plonegooglesitemaps.trash.gif"
+      image="images/trash.gif"                                                
       layer="quintagroup.plonegooglesitemaps.interfaces.IGoogleSitemapsLayer"
       permission="cmf.ManagePortal"
@@ -66,5 +66,5 @@
     
     <browser:resource
-      name="verify_file.css"
+      name="quintagroup.plonegooglesitemaps.verify_file.css"
       file="resources/verify_file.css"
       layer="quintagroup.plonegooglesitemaps.interfaces.IGoogleSitemapsLayer"
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/browser/resources/verify_file.css	(revision 3405)
@@ -1,4 +1,4 @@
 .delete {                                           
-    background:url(++resource++trash.gif) 5px 50% no-repeat;     
+    background:url(++resource++quintagroup.plonegooglesitemaps.trash.gif) 5px 50% no-repeat;     
     display:none;
     font-size:80%;                     
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/profiles/default/cssregistry.xml	(revision 3405)
@@ -2,5 +2,5 @@
 <object name="portal_css">
 <stylesheet
-    id="++resource++verify_file.css"
+    id="++resource++quintagroup.plonegooglesitemaps.verify_file.css"
     media="" rel="stylesheet" rendering="import"
     cacheable="True" compression="safe" cookable="True"
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/quintagroup/plonegooglesitemaps/skins/plonegooglesitemaps/prefs_gsm_verification.cpt	(revision 3405)
@@ -18,5 +18,5 @@
                     <li class="">
                         <a href=""
-                        tal:attributes="href string: prefs_gsm_overview"
+                        tal:attributes="href string: ${context/absolute_url}/prefs_gsm_overview"
                         i18n:translate="label_properties">Overview</a>
                     </li>
@@ -24,5 +24,5 @@
                     <li class="selected">
                         <a href=""
-                        tal:attributes="href string:${template/id}"
+                        tal:attributes="href string: ${context/absolute_url}/${template/id}"
                         i18n:translate="label_properties">Verification</a>
                     </li>
@@ -30,5 +30,5 @@
                     <li class="">
                     <a href=""
-                        tal:attributes="href string:prefs_gsm_settings">
+                        tal:attributes="href string: ${context/absolute_url}/prefs_gsm_settings">
                         Settings</a>
                     </li>
@@ -80,5 +80,5 @@
                                     <a tal:attributes="href string: ${vf/id}" tal:content="vf/id"></a>
                                     <span tal:replace="string: (${vf/title})">comment to verification file</span>
-                                    <a tal:attributes="href string: ${context/absolute_url}/@@deleteVerificationFile?id=${vf/id}; class string:delete">Delete</a>
+                                    <a tal:attributes="href string: ${context/absolute_url}/@@deleteGSMVerificationFile?id=${vf/id}; class string:delete">Delete</a>
                             </li></ul>
                         </li>
Index: /quintagroup.plonegooglesitemaps/branches/1.7.1/setup.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/1.7.1/setup.py	(revision 3404)
+++ /quintagroup.plonegooglesitemaps/branches/1.7.1/setup.py	(revision 3405)
@@ -3,5 +3,5 @@
 import os
 
-version = '1.7.0'
+version = '1.7.1'
 
 tests_require = ['zope.testing',