Index: quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt
===================================================================
--- quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt	(revision 3039)
+++ quintagroup.analytics/trunk/quintagroup/analytics/browser/qa_overview.pt	(revision 3407)
@@ -9,55 +9,50 @@
     <body>
         <div id="wrapper">
-            <h1>Quintagroup Analytics Tool for Plone</h1>
-            <ul class="formTabs" id="navigation">
-                <li class="formTab"><a class="selected" href="@@qa_overview">Overview</a></li>
-                <li class="formTab"><a href="@@ownership_by_type">Ownership by type</a></li>
-                <li class="formTab"><a href="@@ownership_by_state">Ownership by state</a></li>
-                <li class="formTab"><a href="@@type_by_state">Types by state</a></li>
-                <li class="formTab"><a href="@@portlets_stats">Portlets stats</a></li>
-                <li class="formTab"><a href="@@legacy_portlets">Legacy portlets</a></li>
-                <li class="formTab"><a href="@@properties_stats">Properties stats</a></li>
-
+            <h1 i18n:translate="qa_main_title">Quintagroup Analytics Tool for Plone</h1>
+            <ul class="formTabs" id="navigation"  tal:define="template_id template/getId">
+                <span tal:repeat="formTabItem view/analiticsNavigation">
+                    <li class="formTab"><a tal:attributes="class python:'selected' if formTabItem['href'] in template_id else '';href python:formTabItem['href']" tal:content="python:formTabItem['content']">content</a></li>
+                </span>
             </ul>
-            <h3>Welcome to Quintagroup Analytics Tool</h3>
-            <p>Quintagroup Analytics Tool provides statistic information about your Plone site.
+            <h3 i18n:translate="qa_overview_subtitle_welcome">Welcome to Quintagroup Analytics Tool</h3>
+            <p i18n:translate="qa_overview_paragraph_desc1">Quintagroup Analytics Tool provides statistic information about your Plone site.
                You can see how many content objects are on you site, who are content owners,
                what are content workflow states, and how many portlets are assigned on different contexts.
             </p>
-            <p>Information provided by Quintagroup Analytics Tool allows you to see your site's overall
+            <p i18n:translate="qa_overview_paragraph_desc2">Information provided by Quintagroup Analytics Tool allows you to see your site's overall
                content from different perspectives. This can be very useful while migrating your site into
                newer Plone version, or into another CMS. With its help you can visually audit the content 
                setup in Plone site before migration and compare it with the migrated website structure.
             </p>
-            <p>Visit the following pages to see your site's statistics:</p>
+            <p i18n:translate="qa_overview_paragraph_visit">Visit the following pages to see your site's statistics:</p>
             <dl>
               <dt>
-                <a href="@@ownership_by_type">Content Ownership by Type</a>
+                <a href="@@ownership_by_type" i18n:translate="qa_overview_visits_link_content_by_type">Content Ownership by Type</a>
               </dt>
-              <dd>Information about most popular content types on your site. Here you can see the most frequently 
+              <dd i18n:translate="qa_overview_visits_link_content_by_type_desc">Information about most popular content types on your site. Here you can see the most frequently 
                   created content types on your site and their owners. </dd>
               <dt>
-                <a href="@@ownership_by_state">Content Ownership by State</a>
+                <a href="@@ownership_by_state" i18n:translate="qa_overview_visits_link_content_by_state">Content Ownership by State</a>
               </dt>
-              <dd>Information about site's content workflow states. Here you can see how many content object
+              <dd i18n:translate="qa_overview_visits_link_content_by_state_desc">Information about site's content workflow states. Here you can see how many content object
                   are published/submitted for review/etc. and their owners.</dd>
               <dt>
-                <a href="@@type_by_state">Content Types by State</a>
+                <a href="@@type_by_state" i18n:translate="qa_overview_visits_link_content_types_by_state">Content Types by State</a>
               </dt>
-              <dd>Information about site's most frequently created content types and their workflow states.</dd>
+              <dd i18n:translate="qa_overview_visits_link_content_types_by_state_desc">Information about site's most frequently created content types and their workflow states.</dd>
               <dt>
-                <a href="@@portlets_stats">Site Portlets</a>
+                <a href="@@portlets_stats" i18n:translate="qa_overview_visits_link_portlets">Site Portlets</a>
               </dt>
-              <dd>Information about site portlets assigned throughout site sections. This information 
+              <dd i18n:translate="qa_overview_visits_link_portlets_desc">Information about site portlets assigned throughout site sections. This information 
                   can be exported into .csv format. </dd>
               <dt>
-                <a href="@@legacy_portlets">Legacy Portlets</a>
+                <a href="@@legacy_portlets" i18n:translate="qa_overview_visits_link_legacy_portlets">Legacy Portlets</a>
               </dt>
-              <dd>Information about legacy portlets assigned throughout site sections. This information 
+              <dd i18n:translate="qa_overview_visits_link_legacy_portlets_desc">Information about legacy portlets assigned throughout site sections. This information 
                   can be exported into .csv format.</dd>
               <dt>
-                <a href="@@properties_stats">Properties Stats</a>
+                <a href="@@properties_stats" i18n:translate="qa_overview_visits_link_properties">Properties Stats</a>
               </dt>
-              <dd>Information on certain property values for all site objects.</dd>
+              <dd i18n:translate="qa_overview_visits_link_properties_desc">Information on certain property values for all site objects.</dd>
             </dl>
         </div>