Index: /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py
===================================================================
--- /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py	(revision 3429)
+++ /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py	(revision 3430)
@@ -37,5 +37,4 @@
 
 def addCaptchaField(self, id, **kwargs):
-    id = CAPTCHA_ID
     obj = CaptchaField(id)
     notify(ObjectCreatedEvent(obj))
@@ -49,5 +48,5 @@
 class CaptchaField(FGStringField):
 
-    _at_rename_after_creation = False
+    _at_rename_after_creation = True
     schema = CaptchaFieldSchema
 
Index: intagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/skins/qplonecaptchafield/createObject.cpy
===================================================================
--- /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/skins/qplonecaptchafield/createObject.cpy	(revision 3429)
+++ 	(revision )
@@ -1,59 +1,0 @@
-## Controller Python Script "createObject"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind state=state
-##bind subpath=traverse_subpath
-##parameters=id=None,type_name=None,script_id=None
-##title=
-##
-
-from DateTime import DateTime
-from Products.CMFPlone.utils import transaction_note
-from Products.CMFPlone import PloneMessageFactory as _
-from Products.CMFCore.utils import getToolByName
-REQUEST=context.REQUEST
-
-if type_name == 'CaptchaField':
-    id = 'key'
-
-if id is None:
-    id=context.generateUniqueId(type_name)
-
-if type_name is None:
-    raise Exception, 'Type name not specified'
-
-types_tool = getToolByName(context, 'portal_types')
-
-fti = types_tool.getTypeInfo(type_name)
-
-if not fti.queryMethodID('edit') and \
-   not fti.getActionObject('object/edit'):
-    state.setStatus('success_no_edit')
-
-if context.portal_factory.getFactoryTypes().has_key(type_name):
-    new_url = 'portal_factory/' + type_name + '/' + id
-    if state.getStatus() != 'success_no_edit':
-        new_url = new_url + '/edit'
-    state.set(status='factory', next_action='redirect_to:string:%s'%new_url)
-    # If there's an issue with object creation, let the factory handle it
-    return state
-else:
-    new_id = context.invokeFactory(id=id, type_name=type_name)
-    if new_id is None or new_id == '':
-       new_id = id
-    o=getattr(context, new_id, None)
-    tname = o.getTypeInfo().Title()
-    message = _(u'${tname} has been created.', mapping={u'tname' : tname})
-    transaction_note('Created %s with id %s in %s' % (o.getTypeInfo().getId(), new_id, context.absolute_url()))
-
-if o is None:
-    raise Exception
-
-if script_id:
-    state.setId(script_id)
-
-if message:
-    context.plone_utils.addPortalMessage(message)
-return state.set(context=o)
Index: /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py
===================================================================
--- /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py	(revision 3429)
+++ /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py	(revision 3430)
@@ -61,10 +61,5 @@
         self.folder.invokeFactory('FormFolder', 'ff1')
         self.ff1 = getattr(self.folder, 'ff1')
-        self.ff1.invokeFactory('CaptchaField', 'captcha_field')
-
-    def testId(self):
-        """CaptchaField has always CAPTCHA_ID id."""
-        self.assertEqual(CAPTCHA_ID in self.ff1, True)
-        self.assertNotEqual('captcha_field' in self.ff1, True)
+        self.ff1.invokeFactory('CaptchaField', CAPTCHA_ID)
 
     def testSchema(self):
Index: /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testMigration.py
===================================================================
--- /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testMigration.py	(revision 3429)
+++ /quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testMigration.py	(revision 3430)
@@ -1,3 +1,4 @@
 import unittest
+from quintagroup.pfg.captcha.field import CAPTCHA_ID
 from quintagroup.pfg.captcha.tests.base import TestCaseNotInstalled, \
     REQUIREMENTS
@@ -42,5 +43,5 @@
         self.portal.invokeFactory("FormFolder", 'test_form')
         test_form = self.portal['test_form']
-        test_form.invokeFactory("CaptchaField", 'test_captcha_field')
+        test_form.invokeFactory("CaptchaField", CAPTCHA_ID)
         self.cf_path = "test_form/key"
         self.old_cf = self.portal.unrestrictedTraverse(self.cf_path)